org.jgrapht.graph

## Class DefaultWeightedEdge

- java.lang.Object
- - org.jgrapht.graph.DefaultEdge
  - - org.jgrapht.graph.DefaultWeightedEdge

- All Implemented Interfaces:
    Serializable, Cloneable

      public class DefaultWeightedEdge
      extends DefaultEdge

  A default implementation for edges in a `WeightedGraph`. All access to the weight of an edge must go through the graph interface, which is why this class doesn't expose any public methods.
  Author:
    John V. Sichi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultWeightedEdge()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()`
    `protected double` | `getWeight()` Retrieves the weight of this edge.

    - ### Methods inherited from class org.jgrapht.graph.DefaultEdge

      `getSource, getTarget, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultWeightedEdge

          public DefaultWeightedEdge()

  - ### Method Detail

    - #### getWeight

          protected double getWeight()

      Retrieves the weight of this edge. This is protected, for use by subclasses only (e.g. for implementing toString).
      Returns:
        weight of this edge

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`
      See Also:
        `Object.clone()`

Copyright © 2016. All rights reserved.